patches and low-level development discussion
 help / color / mirror / code / Atom feed
From: Alyssa Ross <hi@alyssa.is>
To: devel@spectrum-os.org
Cc: Demi Marie Obenour <demiobenour@gmail.com>
Subject: [PATCH v2 4/7] host/rootfs: clean up obsolete tmp dirs on mount
Date: Sun, 14 Dec 2025 02:42:30 +0100	[thread overview]
Message-ID: <20251214014229.775825-8-hi@alyssa.is> (raw)
In-Reply-To: <20251214014229.775825-2-hi@alyssa.is>

In the ideal case, these will be cleaned up when the VM running them
exits, but there's always the possibility that there are some left
over, in which case mount time is the perfect time to clean up, when
we can be reasonably sure nothing else is still accessing them.

Signed-off-by: Alyssa Ross <hi@alyssa.is>
---
v2: no change, but thanks to rebase no longer fails to exit after
    outputting error message as identified last time.
v1: https://spectrum-os.org/lists/archives/spectrum-devel/20251213161637.510752-4-hi@alyssa.is/

 host/rootfs/image/usr/bin/mount-userdata | 42 ++++++++++++++++--------
 1 file changed, 28 insertions(+), 14 deletions(-)

diff --git a/host/rootfs/image/usr/bin/mount-userdata b/host/rootfs/image/usr/bin/mount-userdata
index 71f12c55..4b9dc8a1 100755
--- a/host/rootfs/image/usr/bin/mount-userdata
+++ b/host/rootfs/image/usr/bin/mount-userdata
@@ -7,21 +7,35 @@ backtick -D "" uuid {
   blkid -o value -s UUID -- $1
 }
 
-multisubstitute {
-  importas -Siu 0
-  importas -Siu 1
-  importas -Siu uuid
-}
-
-case $uuid {
-  "" {
-    if {
-      fdmove -c 1 2
-      printf "%s: '%s' does not have a UUID\n" $0 $1
-    }
-    exit 1
+if {
+  multisubstitute {
+    importas -Siu 0
+    importas -Siu 1
+    importas -Siu uuid
   }
+
+  case $uuid {
+    "" {
+      if {
+        fdmove -c 1 2
+        printf "%s: '%s' does not have a UUID\n" $0 $1
+      }
+      exit 1
+    }
+  }
+
+  mount -m -t btrfs -o nosuid,nodev,noexec,nosymfollow -- $1 /media/${uuid}
+}
+
+importas -Siu uuid
+
+foreground {
+  if -t { test -d /media/${uuid}/Spectrum/data/spectrum/storage }
+  find /media/${uuid}/Spectrum/data/spectrum/storage
+    -mindepth 1
+    -maxdepth 1
+    -name tmp.*
+    -exec rm -rf -- {} ;
 }
 
-if { mount -m -t btrfs -o nosuid,nodev,noexec,nosymfollow -- $1 /media/${uuid} }
 printf "%s\n" /media/${uuid}
-- 
2.51.0


  parent reply	other threads:[~2025-12-14  1:47 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-12-14  1:42 [PATCH v2 1/7] host/rootfs: make fs root directories shared Alyssa Ross
2025-12-14  1:42 ` [PATCH v2 2/7] host/rootfs: give VMs a disk-backed directory Alyssa Ross
2025-12-14 12:55   ` Alyssa Ross
2025-12-14  1:42 ` [PATCH v2 3/7] host/rootfs: clean up obsolete tmp dirs on VM exit Alyssa Ross
2025-12-14 12:55   ` Alyssa Ross
2025-12-14  1:42 ` Alyssa Ross [this message]
2025-12-14 12:55   ` [PATCH v2 4/7] host/rootfs: clean up obsolete tmp dirs on mount Alyssa Ross
2025-12-14  1:42 ` [PATCH v2 5/7] tools/vm-set-persist.c: init Alyssa Ross
2025-12-14  4:52   ` Demi Marie Obenour
2025-12-14 10:49     ` Alyssa Ross
2025-12-14 12:55   ` Alyssa Ross
2025-12-14  1:42 ` [PATCH v2 6/7] host/rootfs: run transient VMs with persistence Alyssa Ross
2025-12-14 12:55   ` Alyssa Ross
2025-12-14  1:42 ` [PATCH v2 7/7] Documentation: document persistence Alyssa Ross
2025-12-14 12:55   ` Alyssa Ross
2025-12-14 12:55 ` [PATCH v2 1/7] host/rootfs: make fs root directories shared Alyssa Ross

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20251214014229.775825-8-hi@alyssa.is \
    --to=hi@alyssa.is \
    --cc=demiobenour@gmail.com \
    --cc=devel@spectrum-os.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://spectrum-os.org/git/crosvm
	https://spectrum-os.org/git/doc
	https://spectrum-os.org/git/mktuntap
	https://spectrum-os.org/git/nixpkgs
	https://spectrum-os.org/git/spectrum
	https://spectrum-os.org/git/ucspi-vsock
	https://spectrum-os.org/git/www

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).